DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# PixelTableGetOrigin

Get the origin of the pixel table

## SYNOPSIS

`#include "dip_pixel_table.h"`

dip_Error dip_PixelTableGetOrigin ( table, origin, resources )

## FUNCTION

This function gets the `origin` of the pixel table `table`. All coordinates of the pixel table runs are defined relative to this origin.

## ARGUMENTS

Data type | Name | Description
`dip_PixelTable *` | `table` | Pixel table
`dip_IntegerArray *` | `origin` | Pointer to a origin array
`dip_Resources` | `resources` | Resources tracking structure. See `ResourcesNew`

## SEE ALSO

Description of DIPlib's pixel tables

`PixelTableNew`, `PixelTableSetRun`, `PixelTableGetRun`, `PixelTableAddRun`, `PixelTableGetRuns`, `PixelTableGetDimensionality`, `PixelTableGetDimensions`, `PixelTableGetSize`, `PixelTableGetPixelCount`, `PixelTableGetOffsetAndLength`

DIPlib on-line documentation | Function reference | Global function index